package com.ruoyi.system.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.ruoyi.system.domain.FncInvoiceItem;
import com.ruoyi.system.domain.vo.FncInvoiceItemVo;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 发票项Mapper接口
 *
 * @author jlf
 * @date 2022-11-20
 */
public interface FncInvoiceItemMapper extends BaseMapper<FncInvoiceItem> {

    Page<FncInvoiceItemVo> queryList(Page<?> page, @Param("entity") FncInvoiceItemVo entity);

    List<FncInvoiceItemVo> queryList(@Param("entity") FncInvoiceItemVo entity);

        FncInvoiceItemVo queryById(@Param("id") Long invoiceItemId);

}
