package com.ruoyi.system.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.ruoyi.common.core.page.TableDataInfo;
import com.ruoyi.system.domain.FncInvoice;
import com.ruoyi.system.domain.vo.FncInvoiceVo;

import java.util.List;

/**
 * 发票Service接口
 *
 * @author jlf
 * @date 2022-11-20
 */
public interface IFncInvoiceService extends IService<FncInvoice> {

    /**
     * 分页查询
     *
     * @param entity
     * @return
     */
    TableDataInfo<FncInvoiceVo> queryList(FncInvoiceVo entity);

    /**
     * 查询全部
     *
     * @param entity
     * @return
     */
    List<FncInvoiceVo> queryAll(FncInvoiceVo entity);

    /**
     * 根据ID查询
     *
     * @param invoiceId
     * @return
     */
    FncInvoiceVo queryById(Long invoiceId);
}
