package com.ruoyi.system.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.ruoyi.system.domain.FncInvoice;
import com.ruoyi.system.domain.vo.FncInvoiceVo;
import com.ruoyi.system.domain.FncInvoiceItem;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 发票Mapper接口
 *
 * @author jlf
 * @date 2022-11-20
 */
public interface FncInvoiceMapper extends BaseMapper<FncInvoice> {

    Page<FncInvoiceVo> queryList(Page<?> page, @Param("entity") FncInvoiceVo entity);

    List<FncInvoiceVo> queryList(@Param("entity") FncInvoiceVo entity);

    FncInvoiceVo queryById(@Param("id") Long invoiceId);

}
