package com.ruoyi.system.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.ruoyi.common.core.page.TableDataInfo;
import com.ruoyi.system.domain.FncInvoiceItem;
import com.ruoyi.system.domain.vo.FncInvoiceItemVo;

import java.util.List;

/**
 * 发票项Service接口
 *
 * @author jlf
 * @date 2022-11-20
 */
public interface IFncInvoiceItemService extends IService<FncInvoiceItem> {

    /**
     * 分页查询
     *
     * @param entity
     * @return
     */
    TableDataInfo<FncInvoiceItemVo> queryList(FncInvoiceItemVo entity);

    /**
     * 查询全部
     *
     * @param entity
     * @return
     */
    List<FncInvoiceItemVo> queryAll(FncInvoiceItemVo entity);

    /**
     * 根据ID查询
     *
     * @param invoiceItemId
     * @return
     */
        FncInvoiceItemVo queryById(Long invoiceItemId);
}
